<?php error_reporting(1); //E_ALL & ~E_NOTICE
date_default_timezone_set('Asia/Tehran');
define('TOKEN','6036310507:AAE4N8yfzNi6Kvp22IU_LLl34ekDNuIVXHw'); // توکن ربات
define('HOST','localhost'); // بدون تغییر
define('USERNAME','northre1_mostafara'); // یوزرنیم دیتابیس
define('PASSWORD','Mo@13771488'); // پسورد دیتابیس
define('DBNAME','northre1_botdb'); // نام دیتابیس
define('ADMIN',6089203816); // ایدی عددی ادمین اول را از بات @userinfobot بگیرید
define('CHANNEL','@northteamserver'); // آیدی کانال. برای قفل کانال حتما ربات را در کانال ادمین کنید
define('botid','northvpnbot'); // آیدی ربات بدون @
define('ZARINPALMID','78af1d46-06d5-442d-964e-a0b56314090f'); // درگاه زرین
define('NEXTPAYID','0'); // مرچنت نکست پی
define('BAHAMTAMD','0'); // درگاه باهمتا
define('PAYPINGMD','0'); // درگاه پی پینگ
define('NOVINOPAY','0'); // درگاه نوین
define('ZIBALID','0'); // درگاه زیبال
define('IDPAYMD','0');
define('DESC','خرید از فروشگاه');
define('baseURI','https://north.northrealstate.ir/marketshop/'); // آدرس ربات روی هاست با اسلش/ آخر بعد نام فولدر

/* Crypto Payments */
$nowApiKey = 'EFJS365-19RM8VV-KCVQJF4-MTJ3XBA';
$price_url = "https://northrealestate.site/marketshop/get_usd_price.php";
$usdPrice = file_get_contents($price_url);
$paycurrency = 'trx';
$currency_label = 'ترون TRC20';

// متن حریم خصوصی ربات
$privacymsg = "تمام حقوق این فروشگاه به ربات NORTH TEAM SERVER متعلق می باشد";

// شماره کارت یا ولت
$time_to_change = 0.5; // هر چند ساعت یکبار
$cards = [ // برای کارت های بیشتر یک کپی از خط زیر گرفته و زیرش اضافه کنید
    ['id' => 6221061103104305, 'name' => 'فاطمه ساجدی | بانک پارسیان'],
    ['id' => 6362141120608287, 'name' => 'م.ع رحیم لو | بانک آينده'],
];

$lastcard = json_decode(file_get_contents('lastc'));
$card_id = $lastcard->id;
$card_name = $lastcard->name;

$cardinfo = "<code>6362141120608287</code> م.ع رحیم لو | بانک آينده
<code>6221061103104305</code> فاطمه ساجدی | بانک پارسیان
<code>6037697576670324</code> م رحیم لو | بانک صادرات";

$supportus = "@northteamadmin"; // یوزرنیم پشتیبانی

$pursant = 15; // درصد پورسانت از مبلغ خرید به معرف یا قیمت ثابت به تومان

// حداقل مبلغی که کاربر میتواند کیف پول را شارژ کند. به تومان
$min_wallet_charge = 2000; 

// ex '98'
$valid_country_code = ''; // برای غیرفعال کردن, مقدار بین دو کوتیشن را خالی بزارید

// گیگ / روز باقی مانده برای اطلاع رسانی سرویس
$gb_notif_limit = 0.1; // گیگ
$day_notif_limit = 2; // روز
$delete_delay = 30; // چندروز بعد اتمام پاک کند

// آیدی کانال یا ایدی ادمین برای دریافت لاگ های خرید
$sendchnl = '6089203816';

// آیدی کانال یا ادمین برای دریافت فایل های بکاپ پنل ها
$sendbcp = '-1002420819471';

// عودت سرویس
$refund_day = 0.5; // چند روز از سرویس بگذرد امکان عودت هست
$refund_gb = 0.1; // جند گیگ از سرویس مصرف شود امکان عودت باشد

// متن راهنمای اتصال
$helpmsg_arr = [
    'windows' => 'https://t.me/northteamserver/14',
    'hid' => 'https://t.me/northteamserver/127',
    'ios' => 'https://t.me/northteamserver/157',
    'android' => 'https://t.me/northteamserver/156',
    'strei' => 'https://t.me/northteamserver/158',
    'foxray' => 'https://t.me/northteamserver/159',
];

function zp_redirect($url){
    // init curl
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // follow all redirects
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Referer: https://northrealstate.ir/payment.php"
    ]);
    
    $response = curl_exec($ch);
    $info = curl_getinfo($ch);
    $httpcode = $info['http_code'];
    $contentType = $info['content_type'] ?? 'text/html';
    
    curl_close($ch);
    
    // send same headers to browser
    header("Content-Type: $contentType", true, $httpcode);
    return $response;
}